javax.batch.api.chunk

## Class AbstractItemWriter

- java.lang.Object
- - javax.batch.api.chunk.AbstractItemWriter

All Implemented Interfaces:
  ItemWriter

    public abstract class AbstractItemWriter
    extends Object
    implements ItemWriter

The AbstractItemWriter provides default implementations of not commonly implemented methods.

### Constructor Summary

Constructors
Constructor and Description
`AbstractItemWriter()`

### Method Summary

Methods
`Serializable` `checkpointInfo()` Override this method if the ItemWriter supports checkpoints.
`void` `close()` Override this method if the ItemWriter requires any close time processing.
`void` `open(Serializable checkpoint)` Override this method if the ItemWriter requires any open time processing.
`abstract void` `writeItems(List<Object> items)` Implement write logic for the ItemWriter in this method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractItemWriter

    public AbstractItemWriter()

### Method Detail

#### open

    public void open(Serializable checkpoint)
              throws Exception

Override this method if the ItemWriter requires any open time processing. The default implementation does nothing.

Specified by:
  `open` in interface `ItemWriter`
Parameters:
  `checkpoint` - last checkpoint for this ItemReader
Throws:
  `Exception` - (or subclass) if an error occurs.

#### close

    public void close()
               throws Exception

Override this method if the ItemWriter requires any close time processing. The default implementation does nothing.

Specified by:
  `close` in interface `ItemWriter`
Throws:
  `Exception` - (or subclass) if an error occurs.

#### writeItems

    public abstract void writeItems(List<Object> items)
                             throws Exception

Implement write logic for the ItemWriter in this method.

Specified by:
  `writeItems` in interface `ItemWriter`
Parameters:
  `items` - specifies the list of items to write.
Throws:
  `Exception` - (or subclass) if an error occurs.

#### checkpointInfo

    public Serializable checkpointInfo()
                                throws Exception

Override this method if the ItemWriter supports checkpoints. The default implementation returns null.

Specified by:
  `checkpointInfo` in interface `ItemWriter`
Returns:
  checkpoint data
Throws:
  `Exception` - (or subclass) if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0